package com.elab.spring.callback.impl;

import com.elab.spring.callback.IRestFallback;
import org.springframework.http.HttpHeaders;

/**
 * 失败回调的适配器
 *
 * @author ： liukx
 * @time ： 2020/7/6 - 13:59
 */
public class RestFallbackAdaptor<T> implements IRestFallback<T> {
    @Override
    public T post(String url, HttpHeaders httpHeaders, Object reqParam, Class clazz, Exception e) {
        return null;
    }

    @Override
    public T get(String url, Class clazz, Exception e) {
        return null;
    }

    @Override
    public void requestBefore(String url, HttpHeaders httpHeaders, Object reqParam, Class clazz) throws Exception {

    }

    @Override
    public void requestAfter(String url, HttpHeaders httpHeaders, Object reqParam, Class clazz) throws Exception {

    }
}
